Bug 26670 - LXQt is not stamped with Mageia's color
Summary: LXQt is not stamped with Mageia's color
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: High enhancement
Target Milestone: ---
Assignee: Nicolas Lécureuil
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-22 22:55 CEST by papoteur
Modified: 2020-05-28 22:04 CEST (History)
3 users (show)

See Also:
Source RPM:
CVE:
Status comment:


Attachments

Description papoteur 2020-05-22 22:55:36 CEST
The LXQt installed is the standard. We need  Mageia's personalization:
MCC is  available as direct access
the background is the Mageia one
the icon of the launcher is the cauldron
Nicolas Lécureuil 2020-05-23 01:50:51 CEST

Priority: Normal => High
CC: (none) => mageia

Comment 1 papoteur 2020-05-23 07:11:59 CEST
The default background is defined in 
/usr/share/pcmanfm-qt/lxqt/settings.conf
section [Desktop]
with
Wallpaper=/usr/share/lxqt/themes/frost/lxqt-origami-light.png
I think it can changed for 
Wallpaper=/usr/share/mga/backgrounds/Mageia-Default-1920x1200.png
papoteur 2020-05-23 07:17:31 CEST

See Also: (none) => https://bugs.mageia.org/show_bug.cgi?id=26144

papoteur 2020-05-23 07:18:24 CEST

See Also: (none) => https://bugs.mageia.org/show_bug.cgi?id=15466

papoteur 2020-05-23 07:18:49 CEST

See Also: (none) => https://bugs.mageia.org/show_bug.cgi?id=26107

Comment 2 papoteur 2020-05-23 07:20:47 CEST
> the icon of the launcher is the cauldron
It should be already the case.
Comment 3 papoteur 2020-05-23 07:48:53 CEST
The MCC launcher could be defined in
/usr/share/lxqt/panel.conf
in section 
[quicklaunch]
apps\3\desktop=/usr/share/applications/mageia-drakconf.desktop

Check that the number is OK.
Comment 4 David GEIGER 2020-05-23 08:34:57 CEST
(In reply to papoteur from comment #3)
> The MCC launcher could be defined in
> /usr/share/lxqt/panel.conf
> in section 
> [quicklaunch]
> apps\3\desktop=/usr/share/applications/mageia-drakconf.desktop
> 
> Check that the number is OK.

We have a custom conf file in /etc/xdg/lxqt/panel.conf, is this file still workable?

CC: (none) => geiger.david68210

Comment 5 papoteur 2020-05-23 10:21:20 CEST
(In reply to David GEIGER from comment #4)
> We have a custom conf file in /etc/xdg/lxqt/panel.conf, is this file still
> workable?

Yes, it is. I have checked that adding the line in this file give the working icon in the taskbar.
Comment 6 Lewis Smith 2020-05-23 21:50:06 CEST
Since 3 competent people are already discussing this, it can for the moment stay with bugsquad. But not forever!
Surprised that Nicolas raised the priority for what is still regarded (I thought) as an immature, evolving desktop.

CC: (none) => lewyssmith

Comment 7 papoteur 2020-05-23 21:56:45 CEST
(In reply to Lewis Smith from comment #6)
> Surprised that Nicolas raised the priority for what is still regarded (I
> thought) as an immature, evolving desktop.

Hi Lewis,
I don't think it is immature. This is the Desktop environment of LUbuntu, in replacement of LXDE.
It seems to be not finished in Mageia, indeed, this is what we are working for.
Comment 8 Lewis Smith 2020-05-23 22:05:17 CEST
I am all for, & have tried, LxQt - but not for long; it has probably improved during Mageia 7's life. I use LXDE regularly (until superseded).
Comment 9 Nicolas Lécureuil 2020-05-23 22:40:15 CEST
i increased the severity because we ( KDE Team ) are working on it and having the customisation of the WM we provide is a "must have".

David almost fixed a lot today :)
Comment 10 David GEIGER 2020-05-24 12:21:58 CEST
Note:

A packaging issue was detected in liblxqt from mga7 (already fixed for Cauldron) that should be also fixed!
Comment 11 David GEIGER 2020-05-24 18:31:51 CEST
Some some jobs was done first for Cauldron!
Lewis Smith 2020-05-24 21:28:19 CEST

CC: lewyssmith => (none)

Comment 12 David GEIGER 2020-05-25 07:28:05 CEST
Note:

ffmpegthumbnailer was added as a recommended pkg in task-lxqt from Cauldron to enable thumbnails videos in pcmanfm-qt.
Comment 13 David GEIGER 2020-05-25 07:40:50 CEST
Note:

A patch was added in lxqt-session pkg to use openbox as the default window manager.
A patch was added in lxqt-session pkg to use breeze as the default icon theme.
Dimitrios Glentadakis 2020-05-25 16:30:26 CEST

CC: (none) => dglent

Comment 14 Dimitrios Glentadakis 2020-05-25 16:43:00 CEST
(In reply to Lewis Smith from comment #6)
> Since 3 competent people are already discussing this, it can for the moment
> stay with bugsquad. But not forever!
> Surprised that Nicolas raised the priority for what is still regarded (I
> thought) as an immature, evolving desktop.

I use LXQt since 2012 as my default desktop.
It is a pure Qt Desktop, very reliable, ok not with all these features of KDE but surely a very fluid, fast, and stable DE that worths to take care in Mageia in order to offer the best experience to our users.
Comment 15 Lewis Smith 2020-05-28 22:04:33 CEST
Assigning to NicolasL (removed CC), one of the main committers in this area and already involved with DavidG. CC'ing also Florian for info.

CC: mageia => doktor5000
Assignee: bugsquad => mageia


Note You need to log in before you can comment on or make changes to this bug.